Page MenuHomePhabricator

elementary: Check for valid resize object before calling
ClosedPublic

Authored by devilhorns on Jul 19 2018, 5:51 PM.

Details

Summary

efl_layout_signal_emit

This patch fixes an issue where NULL was passed to
efl_layout_signal_emit due to wd->resize_obj being NULL. This was
discovered in Enlightenment by clicking on the mixer module and trying
to close the popup window

ref T7030
Depends on D6638

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
devilhorns created this revision.Jul 19 2018, 5:51 PM
devilhorns requested review of this revision.Jul 19 2018, 5:51 PM
Hermet added a subscriber: Hermet.Jul 19 2018, 10:52 PM

dangerous...

zmike requested changes to this revision.Jul 20 2018, 1:24 PM

The exact test case you've cited should be resolved by my comment in the slider patch. I think this patch should be changed to do EINA_SAFETY_ON_TRUE_RETURN(efl_invalidated_get(obj)); before the ELM_WIDGET_DATA_GET_OR_RETURN macro so that similar cases can be caught more easily..

This revision now requires changes to proceed.Jul 20 2018, 1:24 PM
devilhorns updated this revision to Diff 15860.Jul 25 2018, 3:08 AM
  • elementary: Verify object is valid before emitting signal
zmike requested changes to this revision.Jul 25 2018, 9:05 AM

This now contains elm_win changes...

This revision now requires changes to proceed.Jul 25 2018, 9:05 AM

Grrr, stupid arc

devilhorns updated this revision to Diff 15902.Jul 25 2018, 9:25 AM

removed elm_win changes

zmike accepted this revision.Jul 25 2018, 11:13 AM
This revision is now accepted and ready to land.Jul 25 2018, 11:13 AM
This revision was automatically updated to reflect the committed changes.